<?php viserLayout('admin/layouts/master'); ?>
<div class="row mb-none-30">
    <div class="col-lg-12 col-md-12 mb-30">
        <div class="card">
            <form action="<?php echo vlRoute('admin.setting.store'); ?>" method="POST">
                <?php vlNonceField('admin.setting.store') ?>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4 col-sm-6">
                            <div class="form-group">
                                <label for="vl_cur_text"><?php esc_html_e('Currency', HYIPLAB_PLUGIN_NAME); ?></label>
                                <input class="form-control" type="text" name="vl_cur_text" value="<?php echo get_option('vl_cur_text'); ?>" id="vl_cur_text">
                            </div>
                        </div>
                        <div class="col-md-4 col-sm-6">
                            <div class="form-group">
                                <label for="vl_cur_sym"><?php esc_html_e('Currency Symbol', HYIPLAB_PLUGIN_NAME); ?></label>
                                <input class="form-control" type="text" name="vl_cur_sym" value="<?php echo get_option('vl_cur_sym'); ?>" id="vl_cur_sym">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <button type="submit" class="btn btn--primary h-45 w-100"><?php esc_html_e('Submit', HYIPLAB_PLUGIN_NAME); ?></button>
                </div>
            </form>
        </div>
    </div>
</div>